import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'
import * as Pinia from 'pinia';
import { createSSRApp } from 'vue'
import message from './locale/index'
import { createI18n } from 'vue-i18n'

let i18nConfig = {
	// legacy: false,
  locale: uni.getLocale(),
  globalInjection:true,
  message
}
const i18n = createI18n(i18nConfig)
console.log('i18n:',i18n)
export function createApp() {
  const app = createSSRApp(App)
  app.use(Pinia.createPinia())
  app.use(uviewPlus)
  app.use(i18n)
  app.config.globalProperties.$i18n=i18n
  return {
    app,
	Pinia
  }
}
